I'm trying to connect Firebase to Unity but these errors. What should I do?,I'm trying to connect the firebase to unity but I encounter these errors and can't solve them.

Assembly ‘Assets/Firebase/Editor/Firebase.Editor.dll’ will not be loaded due to errors:
Unable to resolve reference ‘UnityEditor.iOS.Extensions.Xcode’. Is the assembly missing or incompatible with the current platform?
Reference validation can be disabled in the Plugin Inspector.

Assembly ‘Assets/ExternalDependencyManager/Editor/1.2.169/Google.IOSResolver.dll’ will not be loaded due to errors:
Unable to resolve reference ‘UnityEditor.iOS.Extensions.Xcode’. Is the assembly missing or incompatible with the current platform?
Reference validation can be disabled in the Plugin Inspector.

I was having the same issue.
Well for me, I had to add the iOS module to my project and it worked for me.
ie
Go to File>Build Settings>iOS
There it will show a button to add that module, follow unity’s instructions on that and it will be added. Then restart unity and it should be gone.